Bug 103816 - XFree86 + Radeon 9200 : Screen corruption causing annoying lines flash around the screen.
XFree86 + Radeon 9200 : Screen corruption causing annoying lines flash around...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
9
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-09-05 07:17 EDT by Raghu
Modified: 2007-04-18 12:57 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-01 02:20:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
XFree86.0.log (45.88 KB, text/plain)
2003-09-05 07:18 EDT, Raghu
no flags Details
XF86Config-4 (1.87 KB, text/plain)
2003-09-05 07:20 EDT, Raghu
no flags Details

  None (edit)
Description Raghu 2003-09-05 07:17:17 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030703

Description of problem:
Hi,

Im running KDE on XFree86-4.3.0-2 on RedHat 9 with Radeon 9200 VIVO.

It runs fine and 3D is also supported. I force the chipId to 0x514d (which is
Radeon 9000 I guess). glxgears runs 1560 fps.

The only problem is that there are horizontal patches of lines flashing around
on the screen when there is window activitiy. Easiest way to reproduce is to
hold the right edge of Mozilla move it left and right. You will see lines
flashing around the screene.

I have tried disabling DRI and it still happens.


Version-Release number of selected component (if applicable):
XFree86-4.3.0-2

How reproducible:
Always

Steps to Reproduce:
1. Start KDE on RedHat 9.0 with Radeon 9200 (ChipId set to 0x514d or 0x4242).

2. Start Mozilla, hold the right edge and move it left and right.

    

Actual Results:  You will see horzontal patches (uneven width) flashing around
the screen. As if the screen refresh is buggy.

Additional info:

I had Radeon 9800 before this and I ran X with ChipId set to 0x4e46. KDE runs
fine without any of these artifacts (of course, no 3D).
Comment 1 Raghu 2003-09-05 07:18:41 EDT
Created attachment 94225 [details]
XFree86.0.log
Comment 2 Raghu 2003-09-05 07:20:21 EDT
Created attachment 94226 [details]
XF86Config-4
Comment 3 Raghu 2003-09-05 11:37:37 EDT
I am also willing to try any fix or look at the code if I am pointed to the
likely places to look at. Never had any exp with XFree86 code.
Comment 4 Mike A. Harris 2003-09-05 15:08:16 EDT
Forcing the chipID to be another chipID means that the particular chip one
has is not officially supported.  4.3.0-2 does not contain support for
Radeon 9200, however later builds do.

Please test the current rawhide XFree86 4.3.0-24 or later builds out,
preferably using the Severn beta release.  Feedback from that build will
be more useful.



Comment 5 Raghu 2003-09-05 15:26:34 EDT
Sure. will try XFree86-4.3.0-17.i386.rpm from Beta Severn and
XFree86-4.3.0-25.i386.rpm from Raw Hide 1.0 if Severn fails.
Comment 6 Raghu 2003-09-05 21:20:19 EDT
XFree86-4.3.0-17 update: Removed ChipId from XConfig-4.

 Screen corruption with flashing lines still occurs.

Another thing to note is that the kernel locks freezes immediately after I start
glxgears. This does not happen when I with ChipId set to 514d. btw, I am running
on SMP (RedHat 2.4.20-9 on HyperThreaded P4). lemme know if you want the XFree86
log.

I will try rpms from Raw Hide.
Comment 7 Raghu 2003-09-05 21:58:42 EDT
The raw hide rpms requite glibc upgrade. Should I try?

Btw, with glxgears, the its not the kernel but X that freezes. glxgears prints
something like 'unknown chipid, assuming full capabilities'.

Just to be sure I ran with Beta severn kernel 2.4.21-20.1.2024.2.1.nptlsmp and
the bug still occurs.
Comment 8 Raghu 2003-09-06 16:10:56 EDT
Just in case it matters, I tried ATI's fglrx-glc22 rpm and the corruption still
exists.

Comment 9 Raghu 2003-09-07 18:30:39 EDT
I should note that these artifacts are noticeably less with ATI's driver in 2D
(window activity etc). 

Another difference is that with ATI's driver, running glxgears results in these
lines. I did not observe this with XFree86 drivers.

Usually i observe this on the right side of window (xterm with white bg), a
little less over the window and none on the left side.
Comment 10 Mike A. Harris 2003-09-24 04:55:53 EDT
This sounds like bad video memory, which is being used by the driver
for the CP acceleration engine's DMA buffers.
Comment 11 Raghu 2003-09-24 18:53:49 EDT
I changed the card to another 9200 (this time by Sapphire, the original one was
made by PowerColor). I still see this corruption. In fact its a little bit more
with the new card :( Also did not notice this on windows.

will try disabling HT.


Comment 12 Mike A. Harris 2004-10-01 02:20:56 EDT
Since this bugzilla report was filed, there have been several major
updates to the X Window System, which may resolve this issue.  Users
who have experienced this problem are encouraged to upgrade to the
latest version of Fedora Core, which can be obtained from:

If this issue turns out to still be reproduceable in the latest
version of Fedora Core, please file a bug report in the X.Org
bugzilla located at http://bugs.freedesktop.org in the "xorg"
component.

Once you've filed your bug report to X.Org, if you paste the new
bug URL here, Red Hat will continue to track the issue in the
centralized X.Org bug tracker, and will review any bug fixes that
become available for consideration in future updates.


Note You need to log in before you can comment on or make changes to this bug.